#include<stdio.h>
#include<string.h>

#define BUG_SIZE 	1002
#define ROW_SIZE	2000002

void eraseBug(char* bug, char* row, int bugLen);
void rewrite(char* row, int i, int bugLen);
void print(char* row);

int main()
{
  int prob;
  int bugSize;
  char bug[BUG_SIZE];
  char row[ROW_SIZE]; 
  
  while(scanf("%d %s\n", &prob, bug) == 2)
  {
      bugSize = strlen(bug);
      
      while(prob--)
      {
	  gets(row);
	  eraseBug(bug, row, bugSize);
	  print(row);
      }
  }
  return 0;
}

void eraseBug(char* bug, char* row, int bugLen)
{
    int i, j;
    char changed = 1;
    while(changed)
    {
        int rowSize = strlen(row);
	for(i = 0; i < rowSize; i++)
	{
	    if(row[i] == bug[0])
	    {
	        char makeChange = 0;
		for(j = 0; j <  bugLen; j++)
		{
		    if(row[i+j] != bug[j])
		    {
		      makeChange = 0;
		      break;
		    }
		    makeChange = 1;
		}
		
		if(makeChange)
		{
		  rewrite(row, i, bugLen);
		  changed = 1;
		}
		else
		  changed = 0;
	    }
	}
    }
}

void rewrite(char* row, int i, int bugLen)
{
    int in = i+bugLen;
    for(; i < in; i++)
    {
	row[i] = -1;
    }
}

void print(char* row)
{
    int i;
    int rowSize = strlen(row);
    for(i = 0; i < rowSize; i++)
      if(row[i] != -1)
	putc( row[i], stdin);
}